package nl.amis.footballfinance.treemap.model;

import java.util.ArrayList;
import java.util.List;

public class FootballInvestigator {

    private List<FootballLeague> leagues = new ArrayList<FootballLeague>();

    public FootballInvestigator() {
        FootballLeague league =
            new FootballLeague("Premier League", "England", 2500);
        league.getClubs().add(new FootballClub("Manchester United", 1,
                                               376.9F));
        league.getClubs().add(new FootballClub("Arsenal", 4, 326F));
        league.getClubs().add(new FootballClub("Chelsea", 5, 322F));
        league.getClubs().add(new FootballClub("Manchester City", 2, 286F));
        league.getClubs().add(new FootballClub("Liverpool", 7, 233F));
        league.getClubs().add(new FootballClub("Tottenham Hotspur", 3,
                                               178.2F));
        league.getClubs().add(new FootballClub("Aston Villa", 16, 99F));
        league.getClubs().add(new FootballClub("Everton", 6, 96F));
        league.getClubs().add(new FootballClub("Fullham", 10, 94F));
        league.getClubs().add(new FootballClub("Westham United", 12, 87F));
        league.addOthers();

        leagues.add(league);
        league = new FootballLeague("Primera Division", "Spain", 1700);
        league.getClubs().add(new FootballClub("Real Madrid", 2, 512.6F));
        league.getClubs().add(new FootballClub("FC Barcelona", 1, 483F));
        league.getClubs().add(new FootballClub("Valencia", 7, 111F));
        league.getClubs().add(new FootballClub("Atletico Madrid", 3, 108F));
        league.getClubs().add(new FootballClub("Sevilla", 11, 99F));
        league.getClubs().add(new FootballClub("Malaga", 5, 65F));
        league.addOthers();


        leagues.add(league);

        league = new FootballLeague("Bundesliga", "Germany", 2000);
        league.getClubs().add(new FootballClub("FC Bayern Munich", 1, 368F));
        league.getClubs().add(new FootballClub("Borrusia Dortmund", 2, 189F));
        league.getClubs().add(new FootballClub("Schalke 04", 4, 174.5F));
        league.getClubs().add(new FootballClub("HSV", 9, 121F));
        league.getClubs().add(new FootballClub("Stuttgart", 13, 102F));
        league.getClubs().add(new FootballClub("Werder Bremen", 14, 97F));
        league.getClubs().add(new FootballClub("Wolfsburg", 12, 80F));
        league.getClubs().add(new FootballClub("Bayer Leverkusen", 3, 75F));
        league.addOthers();

        leagues.add(league);
        league = new FootballLeague("Eredivisie", "Netherlands", 433);
        league.getClubs().add(new FootballClub("Ajax", 1, 106F));
        league.getClubs().add(new FootballClub("PSV", 2, 101F));
        league.getClubs().add(new FootballClub("FC Twente", 6, 46F));
        league.getClubs().add(new FootballClub("Feyenoord", 4, 38F));
        league.getClubs().add(new FootballClub("Vitesse", 3, 30F));

        league.getClubs().add(new FootballClub("Heerenveen", 7, 29.8F));
        league.getClubs().add(new FootballClub("AZ", 15, 28F));
        league.getClubs().add(new FootballClub("Groningen", 11, 16.3F));
        league.getClubs().add(new FootballClub("FC Utrecht", 5, 13F));
        league.getClubs().add(new FootballClub("NAC Breda", 12, 12.3F));
        league.addOthers();

        leagues.add(league);

    }

    public void setLeagues(List<FootballLeague> leagues) {
        this.leagues = leagues;
    }

    public List<FootballLeague> getLeagues() {
        return leagues;
    }
}
