package nl.amis.footballfinance.treemap.model;

import java.util.ArrayList;
import java.util.List;

public class FootballLeague {
    
    private String name;
    private String country;
    private Integer totalBudget;
    private List<FootballClub> clubs;

    public FootballLeague() {
        clubs = new ArrayList<FootballClub>();
    }

    public FootballLeague(String name, String country, Integer totalBudget) {
        super();
        this.name = name;
        this.country = country;
        this.totalBudget = totalBudget;
        clubs = new ArrayList<FootballClub>();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCountry() {
        return country;
    }

    public void setTotalBudget(Integer totalBudget) {
        this.totalBudget = totalBudget;
    }

    public Integer getTotalBudget() {
        return totalBudget;
    }

    public void setClubs(List<FootballClub> clubs) {
        
        this.clubs = clubs;
    }

    public List<FootballClub> getClubs() {
        return clubs;
    }
    public void addOthers() {
        
        // if clone does not contain others then add others
        Float sumclubbudgets =0.0F;
        for (FootballClub club:clubs) {
            sumclubbudgets = sumclubbudgets+  club.getYearBudgetInMillons();
        }
        clubs.add(new FootballClub("Others",0, getTotalBudget().floatValue() - sumclubbudgets ));
        
    }
}
