package nl.amis.footballfinance.treemap.view;

import nl.amis.footballfinance.treemap.model.FootballLeague;

import oracle.adf.model.BindingContext;
import oracle.adf.model.bean.DCDataRow;
import oracle.adf.model.binding.DCBindingContainer;


public class IteratorBean {

private String masterIterator = "leaguesIterator";

    public String getGoNext() {
        String result = "";
        DCBindingContainer dc =
            (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry();
        DCDataRow currentRow = (DCDataRow)dc.findIteratorBinding(masterIterator).getViewObject().getCurrentRow();
        if (currentRow != null) {
            FootballLeague league = (FootballLeague)currentRow.getDataProvider();
            result = league.getName();
        }
        dc.findIteratorBinding(masterIterator).getViewObject().next();
        return result;
    }

    public float getScaleFactorCurrentDepartment() {
        float result = 0;
        DCBindingContainer dc =
            (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry();
        DCDataRow currentRow = (DCDataRow)dc.findIteratorBinding(masterIterator).getViewObject().getCurrentRow();
        if (currentRow != null) {
            FootballLeague league = (FootballLeague)currentRow.getDataProvider();
            double i = 0.0004* league.getTotalBudget();
            result = (float)Math.sqrt(i); 
        }
        return result;
    }
}
